extends ../_docs-template

block vars
  - var title = 'Grid / Layout Grid | Framework7 Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu
  .docs-content
    .motion-docs-page-title
      h1 Grid / Layout Grid
      script(src="/js/motion/grid.js")
      f7-motion-grid(motion)

    p Framework7 comes with flexible layout grid that allows you place your content as you need.
    h2 Grid Layout
    :code(lang="html")
          <!-- Grid with 2 columns -->
          <div class="grid grid-cols-2">
            <div>50%</div>
            <div>50%</div>
          </div>
          <!-- Grid with 3 columns and gap/space between -->
          <div class="grid grid-cols-3 grid-gap">
            <div>33%</div>
            <div>33%</div>
            <div>33%</div>
          </div>

    h2 Column Sizes
    p The following columns size are available:
    - var cols = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20];
    table
      thead
        tr
          th Class
          th xsmall <br><code>width >= 480px</code>
          th small <br><code>width >= 568px</code>
          th medium <br><code>width >= 768px</code>
          th large <br><code>width >= 1024px</code>
          th xlarge <br><code>width >= 1200px</code>
      tbody
        - for (var i = 0; i < cols.length; i++)
          - var className = Math.floor(cols[i]);
          tr
            td grid-cols-#{className}
            td xsmall-grid-cols-#{className}
            td small-grid-cols-#{className}
            td medium-grid-cols-#{className}
            td large-grid-cols-#{className}
            td xlarge-grid-cols-#{className}



    +cssVars('grid')


    h2 Examples
    +examplePreview('core', 'grid.html', 'grid')
